﻿using NetBootServerCore.Components.Logging;
using NetBootServerCore.Components.NetBoot;

namespace NetBootServerCore.Components.Http
{
    public class BootScriptProcessor : NbsComponentBase, IHttpRequestProcessor
    {
        private readonly BootScriptProvider _bootScriptProvider;

        public BootScriptProcessor(BootScriptProvider bootScriptProvider) : base(new Logger("HTTP.BSP"))
        {
            _bootScriptProvider = bootScriptProvider;
        }

        public async Task<bool> ProcessRequest(HttpContext request)
        {
            return false;
        }
    }
}
